Subject: [OPSEC] I-D Action: draft-ietf-opsec-lla-only-04.txt

From: [email-masked]
Date: Sat, 19 Oct 2013 16:09:54 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
 This draft is a work item of the Operational Security Capabilities for IP Network Infrastructure Working Group of the IETF.

	Title           : Using Only Link-Local Addressing Inside an IPv6 Network
	Author(s)       : Michael Behringer
                          Eric Vyncke
	Filename        : draft-ietf-opsec-lla-only-04.txt
	Pages           : 9
	Date            : 2013-10-19

Abstract:
   In an IPv6 network it is possible to use only link-local addresses on
   infrastructure links between routers.  This document discusses the
   advantages and disadvantages of this approach to help the decision
   process for a given network.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-opsec-lla-only

There's also a htmlized version available at:
http://tools.ietf.org/html/draft-ietf-opsec-lla-only-04

A diff from the previous version is available at:
http://www.ietf.org/rfcdiff?url2=draft-ietf-opsec-lla-only-04

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Sun, 20 Oct 2013 17:44:42 +0000

Here are the modifications that Michael and I did to the previous version (also thanking the reviewers)

Thanks to Rama Darbha, we have removed the SHOULD hardcode the LLA to avoid changes of LLA when changing the MAC (same comment by Fernando as well).

Thanks to Fernando Gont, we have removed old verbiage about 'authors recommend' as it is a balance between pros and cons. Added a reference to RFC 6724 (SAS) to use global address (such as loopback address) when generating an ICMP message. Added reference to the RFC about BGP & Co. We have also clarified some wording in the management plane traffic. We did not change the verbiage about out-of-band management as we assumed that it is outside of the scope of this document. Added reference to RFC 4987 (SYN flood). Clarification about what is meant by a loopback address/interface. The comment about static addresses for LLA and draft-ietf-6man-stable-privacy-addresses has been ignored because to our knowledge routers never use privacy extension addresses for their interfaces. The IXP section has also been updated about the amount of work to map all global addresses of IXP.

Thanks also to Wes George: we have removed all "we propose" and "we recommend" as this is only a list of pros and cons and not a technique 'blessed' by the IETF. We also removed all references to RFC 2119 as it is an informational document. And we have also removed ambiguities.

-éric

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> [email-masked]
> Sent: dimanche 20 octobre 2013 04:40
> To: [email-masked]
> Cc: [email-masked]
> Subject: [OPSEC] I-D Action: draft-ietf-opsec-lla-only-04.txt
> 
> 
>  This draft is a work item of the Operational Security Capabilities for IP
> Network Infrastructure Working Group of the IETF.
> 
> Please note that it may take a couple of minutes from the time of
> submission until the htmlized version and diff are available at
> tools.ietf.org.
> 
> _______________________________________________
> OPSEC mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/opsec

---

From: Fernando Gont <[email-masked]>
Date: Mon, 21 Oct 2013 21:10:31 -0300

Hi, Eric,

On 10/20/2013 02:44 PM, Eric Vyncke (evyncke) wrote:
> document. Added reference to RFC 4987 (SYN flood). Clarification
> about what is meant by a loopback address/interface. The comment
> about static addresses for LLA and
> draft-ietf-6man-stable-privacy-addresses has been ignored because to
> our knowledge routers never use privacy extension addresses for their
> interfaces. 

You mean slaac? What about link-local addresses?

Anyway... has this doc been WGLC'ed? If not, I volunteer fore reviewing
the document again (*if* such reviews are needed to progress the I-D :-) ).

Cheers,
-- 
Fernando Gont
SI6 Networks
e-mail: [email-masked]
PGP Fingerprint: 6666 31C6 D484 63B2 8FB1 E3C4 AE25 0D55 1D4E 7492

---

From: "Michael Behringer (mbehring)" <[email-masked]>
Date: Tue, 22 Oct 2013 12:18:24 +0000

OPsec chairs, 

If there is still a slot to present in Vancouver, we would like to discuss our last edits. 

Michael

> From: Eric Vyncke (evyncke)
> Sent: 20 October 2013 11:45
> To: [email-masked]
> Cc: Michael Behringer (mbehring)
> Subject: RE: [OPSEC] I-D Action: draft-ietf-opsec-lla-only-04.txt
> 
> Thanks to Rama Darbha, we have removed the SHOULD hardcode the LLA to
> avoid changes of LLA when changing the MAC (same comment by Fernando
> as well).
> 
> Thanks to Fernando Gont, we have removed old verbiage about 'authors
> recommend' as it is a balance between pros and cons. Added a reference to
> RFC 6724 (SAS) to use global address (such as loopback address) when
> generating an ICMP message. Added reference to the RFC about BGP & Co.
> We have also clarified some wording in the management plane traffic. We
> did not change the verbiage about out-of-band management as we assumed
> that it is outside of the scope of this document. Added reference to RFC
> 4987 (SYN flood). Clarification about what is meant by a loopback
> address/interface. The comment about static addresses for LLA and draft-
> ietf-6man-stable-privacy-addresses has been ignored because to our
> knowledge routers never use privacy extension addresses for their
> interfaces. The IXP section has also been updated about the amount of work
> to map all global addresses of IXP.
> 
> Thanks also to Wes George: we have removed all "we propose" and "we
> recommend" as this is only a list of pros and cons and not a technique
> 'blessed' by the IETF. We also removed all references to RFC 2119 as it is an
> informational document. And we have also removed ambiguities.
> 
> -éric
> 
> 
> > From: [email-masked] [mailto:[email-masked]] On
> Behalf
> > Of [email-masked]
> >  This draft is a work item of the Operational Security Capabilities
> > for IP Network Infrastructure Working Group of the IETF.
> >

---

From: "Gunter Van de Velde (gvandeve)" <[email-masked]>
Date: Wed, 23 Oct 2013 08:37:01 +0000

Ok, we will slot you in.

G/

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Michael Behringer (mbehring)
Sent: 22 October 2013 14:18
To: Eric Vyncke (evyncke); [email-masked]; opsec chairs
Subject: Re: [OPSEC] I-D Action: draft-ietf-opsec-lla-only-04.txt

OPsec chairs, 

Michael

> recommend' as it is a balance between pros and cons. Added a reference 
> to RFC 6724 (SAS) to use global address (such as loopback address) 
> when generating an ICMP message. Added reference to the RFC about BGP & Co.
> We have also clarified some wording in the management plane traffic. 
> We did not change the verbiage about out-of-band management as we 
> assumed that it is outside of the scope of this document. Added 
> reference to RFC
> address/interface. The comment about static addresses for LLA and 
> draft- ietf-6man-stable-privacy-addresses has been ignored because to 
> interfaces. The IXP section has also been updated about the amount of 
> work to map all global addresses of IXP.
> 
> 'blessed' by the IETF. We also removed all references to RFC 2119 as 
> it is an informational document. And we have also removed ambiguities.
> 
> -éric
> 
>